; SketchyLISP Extension Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; pair

; ---conformance---
; SketchyLISP Extension

; ---purpose---
; Build an association list from two lists.

; ---args---
; X - list of keys
; Y - list of values

; ---keywords---
; PAIR function, assocation lists, alists, associate

; ---see-also---
; assoc

; ---example---
; (pair '(1 2 3) '(i ii iii)) => ((1 . i) (2 . ii) (3 . iii))

; (require "lib/map.scm")

; ---code---
(define (pair x y)
  (map cons x y))
