; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; sketchy

; ---conformance---
; SketchyLISP Core

; ---purpose---
; Load the SketchyLISP core library into memory.

; ---keywords---
; SketchyLISP, procedures functions, routines, subroutines

(define sketchy-lib #t)

; ---code---
(package 'sketchy)
(require "abs.scm")
(require "append.scm")
(require "assoc.scm")
(require "assq.scm")
(require "assv.scm")
(require "booleanp.scm") ; boolean?
(require "caaaar.scm")
(require "caaar.scm")
(require "caar.scm")
(require "case.scm")
(require "c-alphabeticp.scm") ; char-alphabetic?
(require "c-cigep.scm") ; char-ci>=?
(require "c-cigtp.scm") ; char-ci>?
(require "c-cilep.scm") ; char-ci<=?
(require "c-downcase.scm")
(require "c-lower-casep.scm") ; char-lower-case?
(require "c-numericp.scm") ; char-numeric?
(require "c-upcase.scm")
(require "c-upper-casep.scm") ; char-upper-case?
(require "c-whitespacep.scm") ; char-whitespace?
(require "cgep.scm") ; char>=?
(require "cgtp.scm") ; char>?
(require "clep.scm") ; char<=?
(require "digits.scm")
(require "divide.scm")
(require "equal.scm") ; =
(require "equalp.scm") ; equal?
(require "eqvp.scm") ; eqv?
(require "evenp.scm") ; even?
(require "expt.scm")
(require "fold-left.scm")
(require "fold-right.scm")
(require "gcd.scm")
(require "greater.scm") ; >
(require "gteq.scm") ; >=
(require "if.scm")
(require "integer.scm")
(require "integerp.scm") ; integer?
(require "lcm.scm")
(require "length.scm")
(require "less.scm") ; <
(require "letstar.scm") ; let*
(require "list-ref.scm")
(require "list-tail.scm")
(require "list.scm")
(require "listp.scm") ; list?
(require "lteq.scm") ; <=
(require "map.scm")
(require "map-car.scm")
(require "max.scm")
(require "member.scm")
(require "memq.scm")
(require "memv.scm")
(require "min.scm") ; -
(require "minus.scm") ; -
(require "modulo.scm")
(require "natural.scm")
(require "naturalp.scm") ; natural?
(require "ndivide.scm")
(require "negate.scm")
(require "negativep.scm") ; negative?
(require "neqp.scm") ; neq?
(require "newline.scm")
(require "nexpt.scm")
(require "ngreater.scm") ; n>
(require "ngteq.scm") ; n>=
(require "nlteq.scm") ; n<=
(require "non-negativep.scm") ; non-negative?
(require "normalize.scm")
(require "not.scm")
(require "nquotient.scm")
(require "nremainder.scm")
(require "ntimes.scm") ; n*
(require "numtostr.scm") ; number->string
(require "oddp.scm") ; odd?
(require "plus.scm") ; +
(require "pred.scm")
(require "pred-iter.scm") ; predicate-iterator
(require "positivep.scm") ; positive?
(require "quotient.scm")
(require "remainder.scm")
(require "reverse.scm")
(require "sqrt.scm")
(require "string.scm")
(require "strtonum.scm") ; string->number
(require "s-append.scm")
(require "s-cieqp.scm") ; string-ci=?
(require "s-cigtp.scm") ; string-ci>?
(require "s-cigep.scm") ; string-ci>=?
(require "s-ciltp.scm") ; string-ci<?
(require "s-cilep.scm") ; string-ci<=?
(require "s-length.scm")
(require "s-ref.scm")
(require "seqp.scm") ; string=?
(require "sgtp.scm") ; string>?
(require "sgep.scm") ; string>=?
(require "sltp.scm") ; string<?
(require "slep.scm") ; string<=?
(require "substring.scm")
(require "succ.scm")
(require "times.scm") ; *
(require "vector.scm")
(require "zerop.scm") ; zero?
(package)
