; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; list-ref

; ---conformance---
; R5RS

; ---purpose---
; Extract a member at a given offset from a list.
; The first element is at position 0.

; ---args---
; X - list
; N - position of member to extract

; ---keywords---
; LIST-REF function, list, n'th member, position

; ---see-also---
; caar, append, list-tail

; ---example---
; (list-ref '(a b c d e f) 2) => c

(define list-ref #t)

(require "list-tail.scm")

; ---code---
(define (list-ref x n)
  (car (list-tail x n)))
