; SketchyLISP Library
; Copyright (C) 2005,2006,2007 Nils M Holm. All rights reserved.
; See the file LICENSE of the SketchyLISP distribution
; for conditions of use.

; ---name---
; natural?

; ---conformance---
; SketchyLISP Core

; ---purpose---
; Test whether a number is a natural number or zero.

; ---args---

; ---keywords---
; NATURAL? function, numbers, digit, predicate, natural

; ---see-also---
; digits, natural, integer?

; ---example---
; (natural? 567) => #t

(define naturalp #t)

(require "digits.scm")
(require "non-negativep.scm") ; non-negative?

; ---code---
(define natural? non-negative?)
